# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['openbb_terminal',
 'openbb_terminal.alternative',
 'openbb_terminal.alternative.covid',
 'openbb_terminal.alternative.oss',
 'openbb_terminal.common',
 'openbb_terminal.common.behavioural_analysis',
 'openbb_terminal.common.quantitative_analysis',
 'openbb_terminal.common.technical_analysis',
 'openbb_terminal.core',
 'openbb_terminal.core.completer',
 'openbb_terminal.core.config',
 'openbb_terminal.core.library',
 'openbb_terminal.core.log',
 'openbb_terminal.core.log.collection',
 'openbb_terminal.core.log.generation',
 'openbb_terminal.core.scripts',
 'openbb_terminal.cryptocurrency',
 'openbb_terminal.cryptocurrency.defi',
 'openbb_terminal.cryptocurrency.discovery',
 'openbb_terminal.cryptocurrency.due_diligence',
 'openbb_terminal.cryptocurrency.nft',
 'openbb_terminal.cryptocurrency.onchain',
 'openbb_terminal.cryptocurrency.overview',
 'openbb_terminal.cryptocurrency.quantitative_analysis',
 'openbb_terminal.cryptocurrency.technical_analysis',
 'openbb_terminal.cryptocurrency.tools',
 'openbb_terminal.dashboards',
 'openbb_terminal.dashboards.stream',
 'openbb_terminal.econometrics',
 'openbb_terminal.economy',
 'openbb_terminal.economy.quantitative_analysis',
 'openbb_terminal.etf',
 'openbb_terminal.etf.discovery',
 'openbb_terminal.etf.screener',
 'openbb_terminal.etf.technical_analysis',
 'openbb_terminal.forecast',
 'openbb_terminal.forex',
 'openbb_terminal.forex.oanda',
 'openbb_terminal.forex.quantitative_analysis',
 'openbb_terminal.forex.technical_analysis',
 'openbb_terminal.futures',
 'openbb_terminal.mutual_funds',
 'openbb_terminal.portfolio',
 'openbb_terminal.portfolio.brokers',
 'openbb_terminal.portfolio.brokers.ally',
 'openbb_terminal.portfolio.brokers.coinbase',
 'openbb_terminal.portfolio.brokers.degiro',
 'openbb_terminal.portfolio.brokers.robinhood',
 'openbb_terminal.portfolio.portfolio_analysis',
 'openbb_terminal.portfolio.portfolio_optimization',
 'openbb_terminal.portfolio.portfolio_optimization.parameters',
 'openbb_terminal.reports',
 'openbb_terminal.stocks',
 'openbb_terminal.stocks.backtesting',
 'openbb_terminal.stocks.behavioural_analysis',
 'openbb_terminal.stocks.comparison_analysis',
 'openbb_terminal.stocks.dark_pool_shorts',
 'openbb_terminal.stocks.discovery',
 'openbb_terminal.stocks.due_diligence',
 'openbb_terminal.stocks.fundamental_analysis',
 'openbb_terminal.stocks.government',
 'openbb_terminal.stocks.insider',
 'openbb_terminal.stocks.insider.presets',
 'openbb_terminal.stocks.options',
 'openbb_terminal.stocks.options.hedge',
 'openbb_terminal.stocks.options.pricing',
 'openbb_terminal.stocks.options.screen',
 'openbb_terminal.stocks.quantitative_analysis',
 'openbb_terminal.stocks.research',
 'openbb_terminal.stocks.screener',
 'openbb_terminal.stocks.sector_industry_analysis',
 'openbb_terminal.stocks.technical_analysis',
 'openbb_terminal.stocks.tradinghours',
 'openbb_terminal.stocks.tradinghours.data']

package_data = \
{'': ['*'],
 'openbb_terminal': ['custom_reports/lunar_crash/*',
                     'miscellaneous/*',
                     'miscellaneous/exports/alternative/covid/*',
                     'miscellaneous/exports/common/behavioural_analysis/*',
                     'miscellaneous/exports/common/prediction_techniques/*',
                     'miscellaneous/exports/common/quantitative_analysis/*',
                     'miscellaneous/exports/common/technical_analysis/*',
                     'miscellaneous/exports/custom/*',
                     'miscellaneous/exports/econometrics/*',
                     'miscellaneous/exports/economy/*',
                     'miscellaneous/exports/etf/movers/*',
                     'miscellaneous/exports/etf/screeners/*',
                     'miscellaneous/exports/mutual_funds/*',
                     'miscellaneous/exports/portfolio/*',
                     'miscellaneous/exports/portfolio/views/*',
                     'miscellaneous/exports/stocks/backtesting/*',
                     'miscellaneous/exports/stocks/behavioural_analysis/*',
                     'miscellaneous/exports/stocks/comparison_analysis/*',
                     'miscellaneous/exports/stocks/dark_pool_shorts/*',
                     'miscellaneous/exports/stocks/discovery/*',
                     'miscellaneous/exports/stocks/due_diligence/*',
                     'miscellaneous/exports/stocks/fundamental_analysis/*',
                     'miscellaneous/exports/stocks/government/*',
                     'miscellaneous/exports/stocks/insider/*',
                     'miscellaneous/exports/stocks/options/*',
                     'miscellaneous/exports/stocks/prediction_techniques/*',
                     'miscellaneous/exports/stocks/quantitative_analysis/*',
                     'miscellaneous/exports/stocks/raw_data/*',
                     'miscellaneous/exports/stocks/sector_industry_analysis/*',
                     'miscellaneous/exports/stocks/technical_analysis/*',
                     'miscellaneous/futures/*',
                     'miscellaneous/i18n/*',
                     'miscellaneous/library/*',
                     'miscellaneous/portfolio_examples/allocation/*',
                     'miscellaneous/portfolio_examples/holdings/*',
                     'miscellaneous/portfolio_examples/optimization/*',
                     'miscellaneous/routines/*',
                     'miscellaneous/scripts/*',
                     'miscellaneous/scripts/alternative/*',
                     'miscellaneous/scripts/cryptocurrency/*',
                     'miscellaneous/scripts/dashboards/*',
                     'miscellaneous/scripts/econometrics/*',
                     'miscellaneous/scripts/economy/*',
                     'miscellaneous/scripts/etf/*',
                     'miscellaneous/scripts/forecast/*',
                     'miscellaneous/scripts/forex/*',
                     'miscellaneous/scripts/mutual_funds/*',
                     'miscellaneous/scripts/portfolio/*',
                     'miscellaneous/scripts/reports/*',
                     'miscellaneous/scripts/stocks/*',
                     'miscellaneous/styles/default/*'],
 'openbb_terminal.cryptocurrency': ['data/*'],
 'openbb_terminal.dashboards': ['voila/*', 'widgets/*'],
 'openbb_terminal.etf': ['screener/presets/*'],
 'openbb_terminal.forex': ['data/*'],
 'openbb_terminal.portfolio': ['portfolio_analysis/portfolios/*'],
 'openbb_terminal.reports': ['.ipynb_checkpoints/*',
                             'data/*',
                             'stored/*',
                             'templates/*',
                             'widgets/*'],
 'openbb_terminal.stocks': ['mappings/*',
                            'options/presets/*',
                            'screener/presets/*']}

install_requires = \
['FundamentalAnalysis>=0.2.6,<0.3.0',
 'GitPython>=3.1.17,<4.0.0',
 'Jinja2>=3.0.3,<4.0.0',
 'Pygments>=2.11.2,<3.0.0',
 'Quandl>=3.6.0,<4.0.0',
 'alpha-vantage>=2.3.1,<3.0.0',
 'ascii-magic>=1.6,<2.0',
 'bs4>=0.0.1,<0.0.2',
 'bt>=0.2.9,<0.3.0',
 'ccxt>=1.91.60,<2.0.0',
 'charset-normalizer==2.1.1',
 'degiro-connector>=2.0.3,<3.0.0',
 'detecta>=0.0.5,<0.0.6',
 'dnspython>=2.1.0,<3.0.0',
 'feedparser>=6.0.10,<7.0.0',
 'financedatabase==1.0.2',
 'finnhub-python>=2.4.10,<3.0.0',
 'finviz>=1.3.4,<2.0.0',
 'finvizfinance>=0.14.0,<0.15.0',
 'fred>=3.1,<4.0',
 'fredapi>=0.4.3,<0.5.0',
 'grpcio<1.51.0',
 'holidays>=0.14.2,<0.15.0',
 'html5lib>=1.1,<2.0',
 'investiny>=0.5.0,<0.6.0',
 'investpy>=1.0.7,<2.0.0',
 'ipyflex>=0.2.4,<0.3.0',
 'ipympl>=0.8.2,<0.9.0',
 'ipython==8.5.0',
 'ipywidgets>=7.7.0,<8.0.0',
 'iso8601>=0.1.14,<0.2.0',
 'jsonschema>=3.2.0,<4.0.0',
 'jupyter>=1.0.0,<2.0.0',
 'jupyterlab>=3.2.4,<4.0.0',
 'linearmodels>=4.25,<5.0',
 'matplotlib>=3.3.3,<4.0.0',
 'mplfinance>=0.12.7-alpha.7,<0.13.0',
 'numpy==1.23.4',
 'oandapyV20>=0.6.3,<0.7.0',
 'openpyxl>=3.0.9,<4.0.0',
 'pandas-market-calendars>=3.2,<3.3',
 'pandas-ta>=0.3.14-beta.0,<0.4.0',
 'pandas>=1.5.0,<2.0.0',
 'papermill>=2.4.0,<3.0.0',
 'plotly>=5.0.0,<6.0.0',
 'praw>=7.1.4,<8.0.0',
 'prompt-toolkit>=3.0.16,<4.0.0',
 'protobuf==3.20.1',
 'psaw>=0.0.12,<0.0.13',
 'pyEX>=0.5.0,<0.6.0',
 'pyally>=1.1.2,<2.0.0',
 'pycoingecko>=2.2.0,<3.0.0',
 'pymongo>=3.11,<4.0',
 'pyrsistent>=0.18.0,<0.19.0',
 'pythclient>=0.1.2,<0.2.0',
 'python-binance>=1.0.15,<2.0.0',
 'python-coinmarketcap>=0.2,<0.3',
 'python-dotenv>=0.19.2,<0.20.0',
 'python-i18n>=0.3.9,<0.4.0',
 'pytrends>=4.7.3,<5.0.0',
 'rapidfuzz>=1.1.1,<2.0.0',
 'requests>=2.25.1,<3.0.0',
 'rich>=12.6.0,<13.0.0',
 'robin-stocks>=2.0.3,<3.0.0',
 'ruamel.yaml>=0.17.21,<0.18.0',
 'scipy>=1.9.3,<2.0.0',
 'screeninfo>=0.6.7,<0.7.0',
 'seaborn>=0.11.0,<0.12.0',
 'sentiment-investor>=2.0.0,<3.0.0',
 'setuptools<65.5.0',
 'squarify>=0.4.3,<0.5.0',
 'statsmodels>=0.13,<0.14',
 'stocksera>=0.1.21,<0.2.0',
 'streamlit>=1.12.2,<2.0.0',
 'thepassiveinvestor>=1.0.10,<2.0.0',
 'tokenterminal>=1.0.1,<2.0.0',
 'tradingview-ta>=3.2.3,<4.0.0',
 'vaderSentiment==3.3.2',
 'valinvest>=0.0.2,<0.0.3',
 'voila>=0.3.0,<0.4.0',
 'watchdog>=2.1.9,<3.0.0',
 'yfinance==0.1.74']

extras_require = \
{'all': ['Riskfolio-Lib>=3.1.1,<4.0.0',
         'torch==1.11.0',
         'pytorch-lightning==1.6.5',
         'u8darts[torch]==0.22.0'],
 'doc': ['docstring-parser>=0.15,<0.16'],
 'installer': ['pyinstaller>=4.10,<5.0'],
 'jupyterlab': ['jupyterlab-code-formatter>=1.4.10,<2.0.0',
                'jupyterlab-lsp>=3.10.1,<4.0.0',
                'jedi-language-server>=0.35.1,<0.36.0'],
 'optimization': ['Riskfolio-Lib>=3.1.1,<4.0.0'],
 'prediction': ['torch==1.11.0',
                'pytorch-lightning==1.6.5',
                'u8darts[torch]==0.22.0']}

entry_points = \
{'console_scripts': ['openbb = '
                     'openbb_terminal.terminal_controller:parse_args_and_run']}

setup_kwargs = {
    'name': 'openbb',
    'version': '0.0.1',
    'description': 'Investment Research for Everyone, Anywhere.',
    'long_description': '<!-- markdownlint-disable MD033 -->\n# OpenBB SDK\n\nOpenBB SDK gives you direct and programmatic access to all capabilities of the OpenBB Terminal.\nYou will have the necessary building blocks to create your own financial tools and applications,\nwhether that be a visualization dashboard or a custom report in a Jupyter Notebook.\n\nWith OpenBB SDK, you can access normalized financial data from dozens of data providers,\nwithout having to develop your own integrations from scratch.\nOn top of financial data feeds, OpenBB SDK also provides you with a toolbox to perform financial analysis\non a variety of asset classes, including stocks, crypto, ETFs, funds; the economy as well as your portfolios.\n\nOpenBB SDK is created and maintained by OpenBB team together with the contributions from hundreds of community members.\nThis gives us an unrivaled speed of development and the ability to maintain stable integrations with numerous third-party data providers.\nDeveloping and maintaining an full-blown investment research infrastructure from the ground up takes a lot of time and effort.\nHowever, it does not have to be. Take advantage of OpenBB SDK with its out-of-the-box data connectors and financial analysis toolkit.\nSo that you can focus on designing and building your financial reports and applications.\n\n## SDK structure\n\nThe OpenBB SDK consists of the core package and extension toolkits.\nThe core package includes all necessary functionality for you to start researching or developing your dashboards and applications.\n\nThe toolkits that you can extend the OpenBB SDK with are:\n\n- Portfolio Optimization Toolkit.\n- Forecasting Toolkit.\n\n## System and Platform Requirements\n\nThe SDK core package is expected to work in any officially supported python version 3.8 and higher (3.9 recommended).\n\nOptimization and Forecasting toolkits installation requires specific settings on computers powered by Apple Silicon, the newer Windows ARM and Raspberry Pi.\n\n### Minimal and Recommended System Requirements\n\n- A computer with a modern CPU (released in the past 5 years)\n- At least 8GB of RAM, 16+ recommended\n- SSD drive with at least 12GB of storage space available\n- Internet connection\n\n**NOTES ON THE INTERNET CONNECTIVITY:** Installation of the SDK with all the toolkits would require downloading around 4GB of data.\nQuerying data does not require a lot of bandwidth but you will certainly have a more pleasant experience if you will be on a fast internet line. 4G networks provide a good enough experience so if you\'re traveling your personal hot-spot will do.\nWhile it\'s technically possible to use a subset of the functionality in off-line mode, you will not be able to use any data that is queried from the APIs of data providers and services.\n\n### Platform Specific Requirements\n\n**Portfolio Optimization Toolkit and Forecasting Toolkit on Apple Silicon:** To install the Forecasting toolkit on M1/M2 macs you need to use the x86_64 version of conda  and install certain dependencies from conda-forge. Follow the [instructions in this section](https://github.com/OpenBB-finance/OpenBBTerminal/blob/main/openbb_terminal/README.md#1-install-miniconda)\n\n**Base Linux Docker containers:** To have the package work in base linux containers like python\'s `slim-buster` you need to install a C anc C++ compiler that\'s not bundled with the distribution.\nRun `sudo apt update && sudo apt install gcc cmake`\n\n## Installation\n\nWe provide a simple installation method in order to utilize the OpenBB SDK. You must first create an environment,\nwhich allows you to isolate the SDK from the rest of your system. It is our recommendation that you utilize a\n`conda` environment because there are optional features, such as `forecast`, that utilize libraries that are\nspecifically sourced from `conda-forge`. Due to this, if you do not use a conda environment, you will not be\nable to use some of these features. As such, the installation steps will be written under the assumption that\nyou are using conda.\n\n### Steps\n\n#### 1. **Install [Miniconda](https://docs.conda.io/en/latest/miniconda.html)**\n\nDownload the `x86_64` Miniconda for your respective system and follow along with it\'s installation instructions. The Miniconda architecture MUST be `x86_64` in order to use the forecasting toolkit. Follow the [instructions in this section](https://github.com/OpenBB-finance/OpenBBTerminal/blob/main/openbb_terminal/README.md#1-install-miniconda)\n\n#### 2. **Create the virtual environment**\n\n```bash\nconda create -n obb python=3.9.6 -y\n```\n\n#### 3. **Activate the virtual environment**\n\n```bash\nconda activate obb\n```\n\n#### 4. **Install OpenBB SDK Core package**\n\n```bash\npip install openbb\n```\n\n#### 5. **(Optional) Install the Toolkits**\n\n##### 5.1 **If you would like to use the Portfolio Optimization features**\n\nOn Apple Silicon Macs (M1/M2) install dependency from conda-forge\n\n```bash\nconda install -c conda-forge cvxpy=1.2.2 -y\n```\n\nAnd install the Portfolio Optimization Toolkit\n\n```bash\npip install "openbbterminal[optimization]"\n```\n\n##### 5.2 **If you would like ML Forecasting features**\n\nOn Apple Silicon Macs (M1/M2) install dependency from conda-forge\n\n```bash\nconda install -c conda-forge lightgbm=3.3.3 -y\n```\n\nAnd install the Forecasting Toolkit\n\n```bash\npip install "openbbterminal[prediction]"\n```\n\n##### 5.2 **If you would like to use both Portfolio Optimization and ML forecast features**\n\nOn Apple Silicon Macs (M1/M2) install dependencies from conda-forge\n\n```bash\nconda install -c conda-forge lightgbm=3.3.3 cvxpy=1.2.2 -y\n```\n\nAnd install the Both Toolkits\n\n```bash\npip install "openbbterminal[all]"\n```\n\nCongratulations! You have successfully installed `openbbterminal` on an environment and are now able to begin using it. However, it is important to note that if you close out of your CLI you must re-activate your environment in order begin using it again.\n\n## Setup\n\n### 1. Import OpenBB SDK\n\nFirst off, import OpenBB SDK into your python script or Jupyter Notebook with:\n\n```python\nfrom openbb_terminal.sdk import openbb\n```\n\nThis imports all Terminal commands at once. To see all the available commands, you can press `tab` in jupyter notebook.\nAnother approach is to check out [OpenBB SDK Documentation](https://openbb-finance.github.io/OpenBBTerminal/sdk/), where you can explore its capabilities\n\n### 2. Customize chart style\n\nWith OpenBB SDK, you can customize your chart style. You can switch between `dark` and `light` easily using this block of code:\n\n```python\nfrom openbb_terminal.sdk import TerminalStyle\ntheme = TerminalStyle("light", "light", "light")\n```\n\n<img width="813" alt="Screenshot 2022-10-03 at 23 56 52" src="https://user-images.githubusercontent.com/40023817/193700307-cbb12edc-0a5d-4804-9f3c-a798efd9e69d.png">\n\nOR\n\n```python\nfrom openbb_terminal.sdk import TerminalStyle\ntheme = TerminalStyle("dark", "dark", "dark")\n```\n\n<img width="791" alt="Screenshot 2022-10-03 at 23 46 33" src="https://user-images.githubusercontent.com/40023817/193699221-e154995b-653c-40fd-8fc6-a3f8d39638db.png">\n\n### 3. Access Documentation\n\nEach and every command of OpenBB SDK has detailed documentation about input parameters and returned outputs. You can access them in multiple ways:\n\n**Approach 1: Press `shift + tab`.**\nThis will work out of the box if you\'re using Jupyter Notebook. In case your IDE is VSCode, you will need to install the [Jupyter PowerToys\nextension](https://marketplace.visualstudio.com/items?itemName=ms-toolsai.vscode-jupyter-powertoys).\n\n<img width="788" alt="Screenshot 2022-10-03 at 23 31 55" src="https://user-images.githubusercontent.com/40023817/193697567-e7143252-c560-441e-84fd-cbe38aeaf0ea.png">\n\n**Approach 2: Type `help(command)`.**\n\nYou can also type `help(command)`, see example below, to see the command\' docstring.\n\n<img width="871" alt="Screenshot 2022-10-03 at 23 33 05" src="https://user-images.githubusercontent.com/40023817/193697676-39351008-386d-4c4c-89f2-3de7d8d4e89d.png">\n\n**Approach 3: Use OpenBB SDK Documentation page.**\n\nFinally, if you prefer to check documentation on a web browser, [OpenBB SDK Documentation](https://openbb-finance.github.io/OpenBBTerminal/sdk/) will be your best friend. You can browse available commands and search for any specific one that you need.\n\n<img width="1200" alt="Screenshot 2022-10-03 at 18 41 48" src="https://user-images.githubusercontent.com/40023817/193643316-c063df03-4172-487f-ba47-ee60f36a3fef.png">\n\n### 4. Set API Keys\n\nYou can set your external API keys through OpenBB SDK.\n\n- Single API setup\n\n```python\nopenbb.keys.fmp(key="example")\n\nopenbb.keys.reddit(\n    client_id="example",\n    client_secret="example",\n    password="example",\n    username="example",\n    useragent="example")\n```\n\n![image](https://user-images.githubusercontent.com/79287829/194706829-dd720d06-9027-4da6-87f1-f39c7d2d725a.png)\n\n- API key setup with persistence: `persist=True` means that your key will be saved and can be reused after, otherwise it will be lost when you restart the kernel.\n\n```python\nopenbb.keys.fmp(key="example", persist=True)\n```\n\n![image](https://user-images.githubusercontent.com/79287829/194706848-80302ffa-6e75-4f7a-b8ce-788e083977d4.png)\n\n- Set multiple keys from dictionary\n\n```python\nd = {\n    "fed": {\n        "key":"XXXXX"\n        },\n    "binance": {\n        "key":"YYYYY",\n        "secret":"example"\n    },\n}\n\nopenbb.keys.set_keys(d)\n```\n\n![image](https://user-images.githubusercontent.com/79287829/194706945-f1e6937f-74e2-4702-9e5e-c463287d61bd.png)\n\n- Get info about API setup arguments\n\n```python\nopenbb.keys.get_keys_info()\n```\n\n![image](https://user-images.githubusercontent.com/79287829/194706740-54bcc166-460a-410d-b34d-23e8b6c7aaf2.png)\n\n- Get your defined keys\n\n```python\nopenbb.keys.mykeys()\nopenbb.keys.mykeys(show=True)\n```\n\n![image](https://user-images.githubusercontent.com/79287829/194706907-239fe861-31c3-47c0-9051-7717cd026b76.png)\n\n## Usage\n\nNow, let\'s explore what OpenBB SDK can do. At a high level, you can break down OpenBB SDK\'s functionalities into two main buckets: (1) Data layer and (2) Toolbox layer.\n\n### 1. Data Layer\n\n### **Getting financial data from multiple data sources using one single SDK**\n\nOpenBB SDK provides you access to normalized financial data from dozens of data sources, without having to built your own integration or relying on multiple third-party packages. Let\'s explore how we can do that.\n\nFirst, you will need to load in the desired ticker. If it\'s not on the top of your mind, make use of our search functionality.\n\n```python\nopenbb.stocks.search("apple")\n```\n\n<img width="652" alt="Screenshot 2022-10-04 at 00 00 14" src="https://user-images.githubusercontent.com/40023817/193700663-b91d57a9-4581-4f7e-a6da-764c0c9de092.png">\n\nWe want to load `Apple Inc.` listed on US exchange, so our ticker should be `AAPL`. If you want to load `Apple Inc.` from Brazilian exchange, you should load in `AAPL34.SA`.\n\n```python\ndf = openbb.stocks.load("AAPL")\n```\n\nWhat\'s extremely powerful about OpenBB SDK is that you can specify the data source. Depending on the asset class, we have a list of available data sources and it\'s only getting bigger with contributions from our open-source community.\n\n```python\n## From YahooFinance\ndf_yf = openbb.stocks.load("AAPL", source=\'YahooFinance\')\n\n## From AlphaVantage\ndf_av = openbb.stocks.load("AAPL", source=\'AlphaVantage\')\n\n## From IEXCloud\ndf_iex = openbb.stocks.load("AAPL", source=\'IEXCloud\')\n\n## From Polygon\ndf_pol = openbb.stocks.load("AAPL", source=\'Polygon\')\n```\n\n### **Easy option to switch between obtaining underlying data and charts**\n\nDepending on your needs, you can get the outputs in form of data (e.g. `pandas dataframe`) or charts. If the latter is what you want, simple add `chart=True` as the last parameter.\n\n### 1. Getting underlying data\n\n```python\nopenbb.economy.index(indices = [\'sp500\', \'nyse_ny\', \'russell1000\'], start_date = \'2010-01-01\')\n```\n\n<img width="575" alt="Screenshot 2022-10-04 at 00 02 23" src="https://user-images.githubusercontent.com/40023817/193700891-f4d93440-31e3-411e-9931-3a38782f68e3.png">\n\nYou might be wondering how to find all the available indices. This type of information should be available in the docstring. Let\'s give it a try.\n\n<img width="906" alt="Screenshot 2022-10-04 at 13 20 58" src="https://user-images.githubusercontent.com/40023817/193817866-b05cacee-a11b-4c44-b8c3-efb51bb9c892.png">\n\nAs mentioned in the docstring, you can access it with the following helper function.\n\n```python\nopenbb.economy.available_indices()\n```\n\n<img width="1078" alt="Screenshot 2022-10-04 at 00 16 36" src="https://user-images.githubusercontent.com/40023817/193702595-ecbfc84d-3ed1-4f89-9086-e975b01c4b12.png">\n\n### 2. Getting charts\n\n```python\nopenbb.economy.index(indices = [\'sp500\', \'nyse_ny\', \'russell1000\'], start_date = \'2010-01-01\', chart=True)\n```\n\n<img width="741" alt="Screenshot 2022-10-04 at 00 03 57" src="https://user-images.githubusercontent.com/40023817/193701075-796ffabe-3266-4d71-9a81-3042e8ca5fc8.png">\n\n## 2. Toolbox Layer\n\nIn addition to financial data, you can also get access to a robust and powerful toolbox to perform analysis on different asset classes and on your portfolio.\n\nImagine that you would like to leverage existing financial calculations from OpenBB and apply them on your own data. This can be done easily - OpenBB SDK\'s commands usually accept a `dataframe` as an input. Here you can load it your data, either via a `csv`, `excel` file, or connecting directly with an `API` or a `database`. The possibilities are endless.\n\nLet\'s go through an example to see how we can do it in a few simple steps. Here we shall see how to use `portfolio optimization` functionalities from OpenBB SDK.\n\n### Step 1. Loading order book\n\nHere we will use an example orderbook for illustration purposes. You can choose to upload your own orderbook instead.\n\n```python\norder_book_path = "portfolio/allocation/60_40_Portfolio.xlsx"\ntickers, categories = openbb.portfolio.po.load(excel_file = order_book_path)\n```\n\n### Step 2. Optimizing portfolio\n\nWe provide multiple portfolio optimization techniques. You can utilize basic mean-variance techniques, such as optimizing for the maximum Sharpe ratio, or minimum variance, as well as advanced optimization techniques including Hierarchical Risk Parity and Nested Clustered Optimization.\n\n```python\n## Max Sharpe optimization\nweights_max_sharpe, data_returns_max_sharpe = openbb.portfolio.po.maxsharpe(tickers)\n\nprint("Max Sharpe")\nweights_max_sharpe\n```\n\n<img width="734" alt="Screenshot 2022-10-04 at 13 23 45" src="https://user-images.githubusercontent.com/40023817/193818381-e3e75455-ea91-4bdd-a903-0874ac8700dc.png">\n\n```python\n## Minimum risk optimization\nweights_min_risk, data_returns_min_risk = openbb.portfolio.po.minrisk(tickers)\n\nprint("Min Risk")\nweights_min_risk\n```\n\n<img width="742" alt="Screenshot 2022-10-04 at 13 24 45" src="https://user-images.githubusercontent.com/40023817/193818556-89380c7c-94c3-4e5c-8848-28058c9cf056.png">\n\n```python\n## Hierarchical Risk Parity optimization\n\nweights_hrp, data_returns_hrp = openbb.portfolio.po.hrp(tickers)\n\nprint("Hierarchical Risk Parity")\nweights_hrp\n```\n\n<img width="736" alt="Screenshot 2022-10-04 at 13 34 39" src="https://user-images.githubusercontent.com/40023817/193820500-1bcde650-f517-4aed-b989-b2bd92bebbb8.png">\n\nAfter having obtained the asset allocation outcomes, you can plot a correlation heatmap across tickers, as well as their individual risk contribution.\n\n```python\nopenbb.portfolio.po.plot(data=data_returns_hrp,weights=weights_hrp,heat=True)\n```\n\n<img width="734" alt="Screenshot 2022-10-04 at 13 35 14" src="https://user-images.githubusercontent.com/40023817/193820624-3e6da926-aea9-4963-bd54-fd1a6df0fda3.png">\n\n```python\nopenbb.portfolio.po.plot(data=data_returns_hrp,weights=weights_hrp,rc_chart=True)\n```\n\n<img width="737" alt="Screenshot 2022-10-04 at 13 36 10" src="https://user-images.githubusercontent.com/40023817/193820817-82f8727f-0e12-4794-b128-d6ebe20b2c4f.png">\n\nThese techniques have an extensive list of parameters and thus the optimization outcome is highly dependent on the chosen parameters. For instance, you can refer to the documentation below.\n<img width="747" alt="Screenshot 2022-10-04 at 00 35 00" src="https://user-images.githubusercontent.com/40023817/193704210-b75ddee3-1da3-432b-90f8-6966e85bb345.png">\n\nThis allows us to alter certain assumption which also modify the asset allocation.\n\n```python\nweights_hrp_2, data_returns_hrp_2 = openbb.portfolio.po.hrp(\n    tickers,\n    interval="5y",\n    risk_measure="cVaR",\n    risk_aversion=0.8\n)\n\npd.DataFrame([weights_hrp, weights_hrp_2], index=["Basic", "Extended"]).T\n```\n\n<img width="401" alt="Screenshot 2022-10-04 at 00 37 18" src="https://user-images.githubusercontent.com/40023817/193704462-d006deee-f009-4330-9918-0e0d661636d8.png">\n\nThe basic method was optimized for *variance*. The extended method increases the period of historical data, optimizes for conditional Value at Risk and has a lower risk aversion.\n\n```python\nopenbb.portfolio.po.plot(data=data_returns_hrp,weights=weights_hrp,pie=True)\n```\n\n<img width="735" alt="Screenshot 2022-10-04 at 13 38 12" src="https://user-images.githubusercontent.com/40023817/193821181-0cb8cc51-3532-4542-b098-b23222330142.png">\n\n```python\nopenbb.portfolio.po.plot(data=data_returns_hrp_2,weights=weights_hrp_2,pie=True)\n```\n\n<img width="735" alt="Screenshot 2022-10-04 at 13 38 30" src="https://user-images.githubusercontent.com/40023817/193821231-e92839b5-47d1-4a1a-81c2-61244bb6d925.png">\n\n## Useful tips\n\n### 1. Display matplotlib charts in Jupyter Notebook\n\nTo display matplotlib charts inside the Jupyter notebook output cells, you can use the block of code below, and initialize it at the top of the Notebook.\n\n```python\nimport matplotlib.pyplot as plt\nimport matplotlib_inline.backend_inline\nfrom openbb_terminal.sdk import openbb\n%matplotlib inline\nmatplotlib_inline.backend_inline.set_matplotlib_formats("svg")\n```\n\n### 2. Take advantage of `external_axes`\n\nThe code below utilizes the `external_axes` parameter to get two axis in one chart.\n\n```python\nimport matplotlib.pyplot as plt\nfrom openbb_terminal.sdk import openbb\nfig, (ax1, ax2) = plt.subplots(nrows=2, ncols=1, figsize=(11, 5), dpi=150)\nopenbb.stocks.dps.dpotc(\n    "aapl",\n    external_axes=[ax1, ax2],\n    chart=True,\n)\nfig.tight_layout()\n```\n\nYou can also do this to save output charts in a variable for later uses.\n\n### For more examples, we\'d recommend checking out our [curated Jupyter Notebook reports](https://github.com/OpenBB-finance/OpenBBTerminal/tree/main/openbb_terminal/reports). They are excellent demonstration on how to use the SDK to its fullest extent\n',
    'author': 'Didier Rodrigues Lopes',
    'author_email': 'None',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://openbb.co/',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'entry_points': entry_points,
    'python_requires': '>=3.8, !=2.7.*, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*, !=3.5.*, !=3.6.*, !=3.7.*, !=3.11.*',
}


setup(**setup_kwargs)
